Get Crypto Address by ID
curl --request GET \
--url https://api.copper.co/platform/crypto-addresses/{cryptoAddressId}import requests
url = "https://api.copper.co/platform/crypto-addresses/{cryptoAddressId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.copper.co/platform/crypto-addresses/{cryptoAddressId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "<string>",
"addressType": "externally-owned-account",
"createdAt": "<string>",
"createdBy": "<string>",
"cryptoAddressId": "<string>",
"currency": "<string>",
"isWhitelist": true,
"name": "<string>",
"_embedded": {
"currencyConfigurations": [
{
"createdAt": "<string>",
"createdBy": "<string>",
"cryptoAddressId": "<string>",
"currency": "<string>",
"currencyConfigurationId": "<string>",
"isWhitelist": true,
"extra": {},
"lastUsedAt": "<string>",
"portfolioIds": [
"<string>"
],
"updatedAt": "<string>",
"updatedBy": "<string>"
}
]
},
"acceptTokens": true,
"addressTags": [],
"category": "smart-contract",
"extra": {},
"lastUsedAt": "<string>",
"mainCurrency": "<string>",
"memo": "<string>",
"organizationId": "<string>",
"portfolioIds": [
"<string>"
],
"updatedAt": "<string>",
"updatedBy": "<string>"
}{
"error": "bad-request",
"message": "<string>"
}{
"error": "forbidden",
"message": "<string>"
}{
"error": "conflict",
"message": "<string>"
}address-book
Get Crypto Address by ID
Retrieve information about a crypto address in an organization’s address book
GET
/
crypto-addresses
/
{cryptoAddressId}
Get Crypto Address by ID
Path Parameters
Response
OK
Address
Address type. See details
Available options:
externally-owned-account, internal-account, smart-contract, payable-smart-contract Created at timestamp
Created by user id
Crypto address id
Currency of an address
Indicates, if an address is whitelisted
Name of an address
Additional information for this crypto address
Show child attributes
Show child attributes
Indicates an address can be used for tokens on the same blockchain network
Address tags
Address category. See details
Available options:
smart-contract, payable-smart-contract, mining, unknown, self-hosted, vasp Extra information for an address
Last used at
Main currency of an address
Address memo (destination tag for XRP)
Organization id
Portfolio ids, if address set for particular portfolios
Last updated Updated at timestamp
Updated by user id
Was this page helpful?